当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Kubuntu 9.04 装firefox出错
帖子发表于 : 2009-07-17 21:24 

注册: 2008-02-05 20:26
帖子: 198
送出感谢: 0 次
接收感谢: 0 次
终端信息如下:
代码:
正在读取软件包列表... 完成                     
正在分析软件包的依赖关系树                     
正在读取状态信息... 完成                       
将会安装下列额外的软件包:                     
  firefox-3.0 firefox-3.0-branding xulrunner-1.9
建议安装的软件包:                             
  ubufox firefox-3.0-gnome-support latex-xft-fonts
下列【新】软件包将被安装:                       
  firefox firefox-3.0 firefox-3.0-branding xulrunner-1.9
共升级了 0 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 6 个软件未被升级。                                                                             
需要下载 8708kB 的软件包。                                                     
解压缩后会消耗掉 24.9MB 的额外空间。                                           
您希望继续执行吗?[Y/n]y                                                       
获取:1 http://cn.archive.ubuntu.com jaunty-security/main xulrunner-1.9 1.9.0.11+build2+nobinonly-0ubuntu0.9.04.1 [7549kB]                                     
获取:2 http://cn.archive.ubuntu.com jaunty-security/main xulrunner-1.9 1.9.0.11+build2+nobinonly-0ubuntu0.9.04.1 [7549kB]                                     
获取:3 http://cn.archive.ubuntu.com jaunty-security/main xulrunner-1.9 1.9.0.11+build2+nobinonly-0ubuntu0.9.04.1 [7549kB]                                     
获取:4 http://cn.archive.ubuntu.com jaunty-security/main firefox-3.0-branding 3.0.11+build2+nobinonly-0ubuntu0.9.04.1 [202kB]                                 
获取:5 http://cn.archive.ubuntu.com jaunty-security/main firefox-3.0 3.0.11+build2+nobinonly-0ubuntu0.9.04.1 [887kB]                                           
获取:6 http://cn.archive.ubuntu.com jaunty-security/main firefox 3.0.11+build2+nobinonly-0ubuntu0.9.04.1 [69.3kB]                                             
下载 3927kB,耗时 22min 17s (2935B/s)                                           
选中了曾被取消选择的软件包 xulrunner-1.9。                                     
(正在读取数据库 ... 系统当前总共安装有 119020 个文件和目录。)                   
正在解压缩 xulrunner-1.9 (从 .../xulrunner-1.9_1.9.0.11+build2+nobinonly-0ubuntu0.9.04.1_i386.deb) ...                                                         
选中了曾被取消选择的软件包 firefox-3.0-branding。                               
正在解压缩 firefox-3.0-branding (从 .../firefox-3.0-branding_3.0.11+build2+nobinonly-0ubuntu0.9.04.1_i386.deb) ...                                             
选中了曾被取消选择的软件包 firefox-3.0。                                       
正在解压缩 firefox-3.0 (从 .../firefox-3.0_3.0.11+build2+nobinonly-0ubuntu0.9.04.1_i386.deb) ...                                                               
选中了曾被取消选择的软件包 firefox。
正在解压缩 firefox (从 .../firefox_3.0.11+build2+nobinonly-0ubuntu0.9.04.1_all.deb) ...
正在设置 xulrunner-1.9 (1.9.0.11+build2+nobinonly-0ubuntu0.9.04.1) ...
/usr/lib/xulrunner-1.9.0.11/xulrunner-bin: error while loading shared libraries: libstartup-notification-1.so.0: cannot open shared object file: No such file or directory
dpkg:处理 xulrunner-1.9 (--configure)时出错:
 子进程 post-installation script 返回了错误号 127
dpkg:依赖关系问题使得 firefox-3.0 的配置工作不能继续:
 firefox-3.0 依赖于 xulrunner-1.9 (>= 1.9.0.1);然而:
  软件包 xulrunner-1.9 还没有被配置。
dpkg:处理 firefox-3.0 (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 firefox-3.0-branding 的配置工作不能继续:
 firefox-3.0-branding 依赖于 firefox-3.0 (= 3.0.11+build2+nobinonly-0ubuntu0.9.04.1);然而:
  软件包 firefox-3.0 还没有被配置。
dpkg:处理 firefox-3.0-branding (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 firefox 的配置工作不能继续:
 firefox 依赖于 firefox-3.0;然而:
  软件包 firefox-3.0 还没有被配置。
 firefox 依赖于 firefox-3.0-branding;然而:
  软件包 firefox-3.0-branding 还没有被配置。
dpkg:处理 firefox (No apport report written because the error message indicates its a followup error from a previous failure.
                                              No apport report written because the error message indicates its a followup error from a previous failure.
                                                                        No apport report written because MaxReports is reached already
                                                      --configure)时出错:
 依赖关系问题 - 仍未被配置
在处理时有错误发生:
 xulrunner-1.9
 firefox-3.0
 firefox-3.0-branding
 firefox
E: Sub-process /usr/bin/dpkg returned an error code (1)

不知道如何解决?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Kubuntu 9.04 装firefox出错
帖子发表于 : 2009-07-18 12:49 
头像

注册: 2008-08-20 18:33
帖子: 1484
地址: 泰达希尔
送出感谢: 0 次
接收感谢: 0 次
把电脑里的firefox先删掉。
ftp://ftp.mozilla.org/pub/mozilla.org/f ... .5.tar.bz2
下载到硬盘,直接打开firefox.


_________________
qiibeta@twitter.com

我是心之所在,你好,世界

I,KDE


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Kubuntu 9.04 装firefox出错
帖子发表于 : 2009-07-19 15:32 

注册: 2008-02-05 20:26
帖子: 198
送出感谢: 0 次
接收感谢: 0 次
呃。。。没办法apt么?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: Kubuntu 9.04 装firefox出错
帖子发表于 : 2009-07-20 0:57 
头像

注册: 2007-10-23 12:54
帖子: 1689
送出感谢: 0 次
接收感谢: 13
当然可以 apt 了,超级牛力不是盖的。

首先 sudo apt-get install -f
这是修复损坏的依赖关系,提示删除什么尽管删就可以了。
然后 sudo apt-get install --reinstall libstartup-notification0
这是重新安装提示有问题的软件包。
最后 sudo apt-get install firefox
现在应该没有错误提示了。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: Kubuntu 9.04 装firefox出错
帖子发表于 : 2009-07-20 1:08 

注册: 2008-02-05 20:26
帖子: 198
送出感谢: 0 次
接收感谢: 0 次
AutoXBC 写道:
当然可以 apt 了,超级牛力不是盖的。

首先 sudo apt-get install -f
这是修复损坏的依赖关系,提示删除什么尽管删就可以了。
然后 sudo apt-get install --reinstall libstartup-notification0
这是重新安装提示有问题的软件包。
最后 sudo apt-get install firefox
现在应该没有错误提示了。


行了,谢谢楼上!

看来是某次系统更新的时候出错造成libstartup-notification0没有安装完全。Kubuntu真是奇怪啊,用KPackageKit更新的时候有时候到了最后就会突然崩溃,而且是整个机器死掉。以后更新都apt-get upgrade算了。。。不过我发现有时候apt-get upgrade无法更新,用Adept倒可以。。。

第一次用KDE,碰到好多问题。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: Kubuntu 9.04 装firefox出错
帖子发表于 : 2009-07-20 1:21 
头像

注册: 2007-10-23 12:54
帖子: 1689
送出感谢: 0 次
接收感谢: 13
KPackageKit 的成熟度还没到实际可用的阶段,老牌的新立得才是首选。更新用命令 sudo apt-get dist-upgrade。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译